## slim-core 1.3.6.10.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PROJECT_NAME slim)
project(${PROJECT_NAME})

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
set(CMAKE_VERBOSE_MAKEFILE ON)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)

# Version
set(SLIM_VERSION_MAJOR "1")
set(SLIM_VERSION_MINOR "3")
set(SLIM_VERSION_PATCH "6")
set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")

set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
set(SYSCONFDIR "/etc")
set(LIBDIR "/lib")
set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")

set(SLIM_DEFINITIONS)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
		)
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
else()
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
endif()

set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")

# Flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2")
set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g -O2")

# source 
set(slim_srcs
	main.cpp
	app.cpp
	numlock.cpp
	switchuser.cpp
	png.c
	jpeg.c
)

set(slimlock_srcs
	slimlock.cpp
)

set(common_srcs
    cfg.cpp
    image.cpp
    log.cpp
    panel.cpp
    util.cpp
)
if(USE_PAM)
	set(common_srcs ${common_srcs} PAM.cpp)
    # for now, only build slimlock if we are using PAM.
    if(BUILD_SLIMLOCK)
	set(BUILD_SLIMLOCK 1)
    endif(BUILD_SLIMLOCK)
endif(USE_PAM)

# Build common library
set(BUILD_SHARED_LIBS ON CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
	message(STATUS "Enable shared library building")
	add_library(libslim ${common_srcs})
else(BUILD_SHARED_LIBS)
	message(STATUS "Disable shared library building")
	add_library(libslim STATIC ${common_srcs})
endif(BUILD_SHARED_LIBS)

if(USE_CONSOLEKIT)
	set(slim_srcs ${slim_srcs} Ck.cpp)
endif(USE_CONSOLEKIT)

add_executable(${PROJECT_NAME} ${slim_srcs})
if(BUILD_SLIMLOCK)
    add_executable(slimlock ${slimlock_srcs})
endif(BUILD_SLIMLOCK)

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(JPEG REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

# Fontconfig
set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
find_package(FONTCONFIG REQUIRED)
if(FONTCONFIG_FOUND)
	message("\tFontConfig Found")
	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
	include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)

# PAM
if(USE_PAM)
	message("\tPAM Enabled")
	find_package(PAM)
	if(PAM_FOUND)
		message("\tPAM Found")
		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
		target_link_libraries(libslim ${PAM_LIBRARY})
		if(BUILD_SLIMLOCK)
			target_link_libraries(slimlock ${PAM_LIBRARY})
		endif(BUILD_SLIMLOCK)
		include_directories(${PAM_INCLUDE_DIR})
	else(PAM_FOUND)
		message("\tPAM Not Found")
	endif(PAM_FOUND)
else(USE_PAM)
	message("\tPAM disabled")
endif(USE_PAM)

# ConsoleKit
if(USE_CONSOLEKIT)
	find_package(CkConnector)
	message("\tConsoleKit Enabled")
	if(CKCONNECTOR_FOUND)
		message("\tConsoleKit Found")
		# DBus check
		find_package(DBus REQUIRED)
		if(DBUS_FOUND)
			message("\tDBus Found")
			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
			include_directories(${DBUS_ARCH_INCLUDE_DIR})
			include_directories(${DBUS_INCLUDE_DIR})
			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
			include_directories(${CKCONNECTOR_INCLUDE_DIR})
		else(DBUS_FOUND)
			message("\tDBus Not Found")
		endif(DBUS_FOUND)
	else(CKCONNECTOR_FOUND)
		message("\tConsoleKit Not Found")
		message("\tConsoleKit disabled")
	endif(CKCONNECTOR_FOUND)
else(USE_CONSOLEKIT)
	message("\tConsoleKit disabled")
endif(USE_CONSOLEKIT)

# system librarys
find_library(M_LIB m)
find_library(RT_LIB rt)
find_library(CRYPTO_LIB crypt)
find_package(Threads)

add_definitions(${SLIM_DEFINITIONS})

#Set up include dirs with all found packages
include_directories(
	${X11_INCLUDE_DIR}
	${X11_Xft_INCLUDE_PATH}
	${X11_Xrender_INCLUDE_PATH}
	${X11_Xrandr_INCLUDE_PATH}
	${FREETYPE_INCLUDE_DIR_freetype2}
	${X11_Xmu_INCLUDE_PATH}
	${ZLIB_INCLUDE_DIR}
	${JPEG_INCLUDE_DIR}
	${PNG_INCLUDE_DIR}
)

target_link_libraries(libslim
	${RT_LIB}
	${X11_Xft_LIB}
	${X11_Xrandr_LIB}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
)

#Set up library with all found packages for slim
target_link_libraries(${PROJECT_NAME}
	${M_LIB}
	${RT_LIB}
	${CRYPTO_LIB}
	${X11_X11_LIB}
	${X11_Xft_LIB}
	${X11_Xrender_LIB}
	${X11_Xrandr_LIB}
	${X11_Xmu_LIB}
	${FREETYPE_LIBRARY}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
    libslim
)

if(BUILD_SLIMLOCK)
    #Set up library with all found packages for slimlock
    target_link_libraries(slimlock
        ${M_LIB}
        ${RT_LIB}
        ${CRYPTO_LIB}
        ${X11_X11_LIB}
        ${X11_Xft_LIB}
        ${X11_Xrender_LIB}
        ${X11_Xrandr_LIB}
        ${X11_Xmu_LIB}
        ${X11_Xext_LIB}
        ${FREETYPE_LIBRARY}
        ${JPEG_LIBRARIES}
        ${PNG_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        libslim
    )
endif(BUILD_SLIMLOCK)

####### install
# slim
install(TARGETS slim RUNTIME DESTINATION bin)
if(BUILD_SLIMLOCK)
	install(TARGETS slimlock RUNTIME DESTINATION bin)
endif(BUILD_SLIMLOCK)

if (BUILD_SHARED_LIBS)
	set_target_properties(libslim PROPERTIES
		OUTPUT_NAME slim
		SOVERSION ${SLIM_VERSION})

	install(TARGETS libslim
		LIBRARY DESTINATION lib${LIB_SUFFIX}
		ARCHIVE DESTINATION lib${LIB_SIFFUX}
	)
endif (BUILD_SHARED_LIBS)

# man file
install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
if(BUILD_SLIMLOCK)
	install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
endif(BUILD_SLIMLOCK)
# configure
install(FILES slim.conf DESTINATION ${SYSCONFDIR})
# systemd service file
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	install(FILES slim.service DESTINATION ${LIBDIR}/systemd/system)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
# themes directory
subdirs(themes)

=== debian/changelog ===
slim-core (1.3.6.10.7) unstable; urgency=medium

  * edits to slim.conf

 -- anticapitalista <antix@operamail.com>  Tue, 10 Mar 2020 18:43:31 +0200

slim (1.3.6.10.6) unstable; urgency=medium

  * accommodates multiple slim themes and verifies selected background bugfix - thanks model99

 -- anticapitalista <antix@operamail.com>  Sun, 10 Nov 2019 16:22:49 +0200

slim (1.3.6.10.5) unstable; urgency=medium

  * added comments to desktop files

 -- anticapitalista <antix@operamail.com>  Sat, 13 Jul 2019 14:59:47 +0100

slim (1.3.6.10.4) unstable; urgency=medium

  * added test -f $PIDFILE || exit 0 to stop/ in slim.init

 -- anticapitalista <antix@operamail.com>  Thu, 09 May 2019 16:29:46 +0300

slim (1.3.6.10.3) unstable; urgency=medium

  * F login fixes by using xsessions desktop files

 -- anticapitalista <antix@operamail.com>  Thu, 02 May 2019 14:14:52 +0300

slim (1.3.6.10.2) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Tue, 30 Apr 2019 15:50:48 +0300

slim (1.3.6-5+devuan6) unstable; urgency=medium

  * If consolekit is not available, fall back on logind PAM session.
  * Remove unused duplicate quilt patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Feb 2019 17:38:54 +0000

slim (1.3.6-5+devuan5) unstable; urgency=medium

  * Update Maintainers, Uploaders, Changed-By
  * add gbp.conf with forced compression-level

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 11 Feb 2019 22:37:19 +1300

slim (1.3.6-5+devuan4) unstable; urgency=medium

  * change to using /etc/alternatives and cleanup
  * Remove debian-curve - moved to desktop-base
  * change link for alternatives to desktop-slim-themes (same as desktop-base)
  * setup for using alternatives for selecting theme
  * Removed devuan-curve theme
  * fix alternatives setup

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 21 Dec 2016 00:41:45 +1300

slim (1.3.6-5+devuan3) unstable; urgency=medium

  * Merged the new artwork

 -- Dima Krasner <dima@dimakrasner.com>  Mon, 08 Jun 2015 13:20:21 +0300

slim (1.3.6-5+devuan2) unstable; urgency=medium

  * Rebranded for Devuan

 -- Dima Krasner <dima@dimakrasner.com>  Tue, 21 Apr 2015 17:49:43 +0300

slim (1.3.6-5+devuan1) unstable; urgency=medium

  * Restored ConsoleKit support

 -- Dima Krasner <dima@dimakrasner.com>  Fri, 27 Feb 2015 18:08:04 +0200

slim (1.3.6-5) unstable; urgency=medium

  * Fix bugged Debian-Lines theme. (Closes: #776693)
    Thanks HJ <punx665@gmail.com>

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 14 Feb 2015 16:04:30 +0100

slim (1.3.6-4) unstable; urgency=medium

  * Build slim without deprecated consolekit support (Closes: #751618):
    - Drop consolekit from Depends and libck-connector-dev
      from Build-Depends in debian/control.
    - Disable consolekit in CMAKE_FLAGS in debian/rules.
    Thanks to Elimar Riesebieter <riesebie@lxtec.de>!
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update homepage in debian/control and debian/copyright.
  * Update debian/watch to point to new homepage.
  * Update and clean up debian/copyright.
  * Add new Lines theme for Debian Jessie:
    - Refresh debian/patches/slim-conf.patch
    - Update debian/slim.install, debian/rules and
      debian/source/include-binaries for new files.
    - Fix key binding for session selection. (Closes: #756519)
  * Make package lintian-clean:
    - Add manpage-formatting-fixes.patch to escape a minus
      sign and remove a trailing space in the slimlock.1.
    - Update debian/copyright.
    - Add lintian-overrides for info tags which can be ignored.
    - Add lintian-override for check-gpg-signature as a GPG
      signature is not provided by upstream yet.
  * Rewrite debian/patches/fix-systemd-service.patch, debian/slim.posinst:
    - Ensure we are starting slim on systemd only when selected as
      default. Thanks Didier Roche <didrocks@ubuntu.com> for the patch.
      (Closes: #748668)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 13 Jan 2015 20:12:03 +0100

slim (1.3.6-3) unstable; urgency=high

  * debian/patches:
    - Replace no-slimlock.patch with no-slimlock-with-pam.patch to fix
      build with pam support on non-linux arches. (Closes: #743864)
    - Update libslim-cmake-fixes.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 25 Apr 2014 16:57:11 +0200

slim (1.3.6-2) unstable; urgency=medium

  * debian/rules:
    - Fix the if statement for hurd-i386 build architecture test which
      previously disabled PAM on non-Hurd archs. (Closes: #742904, #742950)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 01 Apr 2014 14:11:43 +0200

slim (1.3.6-1) unstable; urgency=medium

  * Add myself to the list of uploaders with permission from Nobuhiro Iwamatsu.
  * Fix systemd support: (Closes: #741511)
    - debian/fix-systemd-service.patch: Add missing
      "WantedBy=graphical.target" slim.service file.
    - debian/control: Add dh-systemd to build depends.
    - debian/rules: Add dh_systemd support.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 14 Mar 2014 23:20:35 +0100

slim (1.3.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Test for hurd-i386 build architecture as "gnu", not
      "hurd" to really fix FTBFS.
  * debian/control:
    - Update long description. (Closes: #659857)
  * debian/patches:
    - Add slim-add-sessiondir.patch: to set directory that contains
      the xsessions. (Closes: #740394)
    - Update slim-conf.patch.
    - Add libslim-cmake-fixes.patch: Fix FTBFS on Ubuntu.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 02 Mar 2014 18:21:42 +0100

slim (1.3.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build slimlock on non-Linux ports, fixes FTBFS:
    - Add patch to make cmake target "slimlock" conditional
      on BUILD_SLIMLOCK: debian/patches/no-slimlock.patch.
    - Set -DBUILD_SLIMLOCK=yes|no depending on the host
      operating system in debian/rules.



=== debian/control ===
Source: slim-core
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Dima Krasner <dima@dimakrasner.com>, Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim-core
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, consolekit | libpam-elogind | logind
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.
